Wednesday, November 15, 2006

Do not upgrade to Internet Explorer 7

Hi everyone
Based on recent postings in the OTN forums and from investigations with my own clients I have to warn you not to upgrade to Internet Explorer 7 if you are using Discoverer Viewer. After you upgrade to IE 7 you will not be able to drill to a related item because somehow IE 7 prevents you from seeing the list of items that you could drill to. This is certainly true if you are using Discoverer 10.1.2.0.2. Unfortunately, I have no idea whether the latest 10.1.2.2 patch (link to Abhinav's recent posting) fixes this. Does anyone know and has anyone been brave enough to try?

An interesting observation here is that IE 7 is included in Microsoft's automatic updates for XP. Therefore, if you have automatic updates enabled you may come in tomorrow and if you are not paying attention you could find that you have been upgraded. Microsoft state (link) that when the update is downloaded you will be presented with a window that will inform you that IE 7 is ready to install. You should not click Install when so prompted.

IE 7 is currently not certified for use with Discoverer and is also not certified for use against Oracle E-Business Suite 11i (link to Steven Chan's recent posting) Until such time as Oracle certify IE 7 for use against Discoverer and / or E-Business Suite I recommend turning off Microsoft's automatic updates.

Here is a workflow to alter the upgrade policy on Windows XP:

    1. Launch Control Panel
    2. Click Security Center
    3. Click Automatic Updates
    4. Deselect Automatic by selecting one of the other options
    5. Click OK

On my own PC I set this to Download updates for me, but let me choose when to install them. I will then be able to select which updates I want. I certainly don't want to miss out on the other updates, and I certainly don't want to install IE 7 by any act of carelessness or confusion on my part.

5 comments:

Anonymous said...

You can also download an automatic upgrade blocker from Microsoft: IE 7 Blocker Toolkit

Walt D in LV said...

Oracle 11i is now compatible with Internet Explorer 7, and has been since May, 2007:

http://blogs.oracle.com/schan/newsItems/departments/desktopClients/2006/10/20

http://blogs.oracle.com/schan/2006/12/12#a1053



Walt D in LV

Anonymous said...

Thanks for this blog item and the one on Java compatibility. I just happen to be reading your book which so far looks like it covers the whole gambit of the Discoverer platform.

BUT, looking at the data of this post and seeing that is almost 1 year old, have you heard or seen anything else about ie7 and discoverer. The PC that I have right now has 7. Should I be concerned? Have any patches on either side of the vendor fence resolve the issues? are there new ones.

Thanks!
ss

2007/10/18

Michael said...

Hi ss
Please look at this posting which explains that IE7 is now supported: http://learndiscoverer.blogspot.com/2007/03/discoverer-and-ie7.html

Michael

Roger Johnson ORAU said...

Yes, I have IE7 and had not noticed the non-functionality of the Drill in VIEWER. I have a hard enough time getting folks to use VIEWER since most folks are used to Desktop and then PLUS web. I have noted this to our IT folks.

Followers